Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064910 - The JaxbTask implementation does not support the getFormName() method/information
Summary: The JaxbTask implementation does not support the getFormName() method/informa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER2
: 6.0.1
Assignee: Marco Rietveld
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 14:28 UTC by Marco Rietveld
Modified: 2016-09-20 05:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:03:06 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4245 Minor Resolved The JaxbTask implementation does not support the getFormName() method/information 2014-03-28 11:15:42 UTC

Description Marco Rietveld 2014-02-13 14:28:36 UTC
Description of problem:

Without this method, users will otherwise be unable to get the information (via the remote (REST/JMS) API) that links the form to a task.

Version-Release number of selected component (if applicable):

6.0.1

How reproducible:

Always.

Steps to Reproduce:
1. Retrieve a Task instance via the REST or JMS implementation
2. Call ((InternalTask) JaxbTask).getFormName()

Actual results:

An exception is thrown stating that that method is not supported on the JaxbTask implementation. 

Expected results:

The formName string is returned.

Comment 1 Marco Rietveld 2014-02-20 16:39:05 UTC
Fixed. Commits: 

6.0.x: 
https://github.com/droolsjbpm/jbpm/commit/cb52760a

master:
https://github.com/droolsjbpm/jbpm/commit/ee46fb9d

Comment 2 Marek Baluch 2014-03-07 13:36:54 UTC
Verified on 6.0.1.ER2

Comment 3 JBoss JIRA Server 2014-03-28 11:15:43 UTC
Marco Rietveld <marco.rietveld@redhat.com> updated the status of jira JBPM-4245 to Resolved


Note You need to log in before you can comment on or make changes to this bug.